org.omg.CosNaming.NamingContextPackage

## Class NotEmptyHolder

- java.lang.Object
- - org.omg.CosNaming.NamingContextPackage.NotEmptyHolder

All Implemented Interfaces:
  Streamable

    public final class NotEmptyHolder
    extends Object
    implements Streamable

org/omg/CosNaming/NamingContextPackage/NotEmptyHolder.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-8lk9ya/openjdk-8-8u492-ga~us2/src/corba/src/share/classes/org/omg/CosNaming/nameservice.idl Tuesday, April 28, 2026 11:02:50 PM UTC

### Field Summary

Fields
`NotEmpty` `value`

### Constructor Summary

Constructors
Constructor and Description
`NotEmptyHolder()`
`NotEmptyHolder(NotEmpty initialValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public NotEmpty value

### Constructor Detail

#### NotEmptyHolder

    public NotEmptyHolder()

#### NotEmptyHolder

    public NotEmptyHolder(NotEmpty initialValue)

### Method Detail

#### _read

    public void _read(InputStream i)

Description copied from interface: `Streamable`
Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

Specified by:
  `_read` in interface `Streamable`
Parameters:
  `i` - the InputStream that represents the CDR data from the wire.

#### _write

    public void _write(OutputStream o)

Description copied from interface: `Streamable`
Marshals to `ostream` the value in the `value` field of the Holder.

Specified by:
  `_write` in interface `Streamable`
Parameters:
  `o` - the CDR OutputStream

#### _type

    public TypeCode _type()

Description copied from interface: `Streamable`
Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

Specified by:
  `_type` in interface `Streamable`
Returns:
  the `TypeCode` object for the value held in the holder